<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">
    <div style="margin-top: 20px; margin-bottom: 15px;">
        <h5>{{'mpmApp.productPurchaseOrder.home.createOrEditLabel' | translate}}</h5>
    </div>
    <p-panel>
        <p-header>
            <ul class="nav justify-content-end">
                <li class="nav-item">
                    <a class="btn" [routerLink]="['/', { outlets: { popup: ['good-lov'] } }]"><i class="fa fa-list"></i> &nbsp;{{ 'entity.action.loadLov' | translate }}</a>
                </li>
                <li class="nav-item">
                    <a class="btn" (click)="print()" style="cursor: pointer;"><i class="fa fa-print"></i> &nbsp;{{'entity.action.print' | translate}}</a>
                </li>
                <li class="nav-item">
                    <a class="btn" (click)="previousState()" style="cursor: pointer;"><i class="fa fa-ban"></i> &nbsp;{{'entity.action.cancel' | translate}}</a>
                </li>
                <li class="nav-item">
                    <a class="btn" (click)="save()" href="javascript:void(0)" style="cursor: pointer;"><i class="fa fa-save"></i> &nbsp;{{'entity.action.save' | translate}}</a>
                </li>
            </ul>
        </p-header>
        <div class="card-deck" style="margin-bottom: 15px;">
            <div class="card">
                <div class="card-block">
                    <div class="form-group" [hidden]="!productPurchaseOrder.idOrder">
                        <label for="id" jhiTranslate="global.field.id">ID</label>
                        <input type="text" class="form-control" id="id" name="id" [(ngModel)]="productPurchaseOrder.idOrder" readonly />
                    </div>

                    <div class="form-group">
                        <label jhiTranslate="mpmApp.productPurchaseOrder.vendor" for="field_vendor">Vendor</label>
                        <select class="form-control" id="field_vendor" name="vendor" [(ngModel)]="productPurchaseOrder.vendorId" >
                            <option [ngValue]="null"></option>
                            <option [ngValue]="vendorOption.idVendor" *ngFor="let vendorOption of vendors; trackBy: trackVendorById">{{vendorOption.organization.name}}</option>
                        </select>
                    </div>
                    <div class="form-group">
                        <label jhiTranslate="mpmApp.productPurchaseOrder.internal" for="field_internal">Internal</label>
                        <select class="form-control" id="field_internal" name="internal" [(ngModel)]="productPurchaseOrder.internalId" >
                            <option [ngValue]="null"></option>
                            <option [ngValue]="internalOption.idInternal" *ngFor="let internalOption of internals; trackBy: trackInternalById">{{internalOption.organization.name}}</option>
                        </select>
                    </div>
                    <div class="form-group">
                        <label jhiTranslate="mpmApp.productPurchaseOrder.billTo" for="field_billTo">Bill To</label>
                        <select class="form-control" id="field_billTo" name="billTo" [(ngModel)]="productPurchaseOrder.billToId" >
                            <option [ngValue]="null"></option>
                            <option [ngValue]="billToOption.idBillTo" *ngFor="let billToOption of billtos; trackBy: trackBillToById">{{billToOption.partyName}}</option>
                        </select>
                    </div>
                </div>
            </div>
            <div class="card">
                <div class="card-block">
                </div>
            </div>
        </div>
        <jhi-order-item-as-list [idOrders]="idOrder"></jhi-order-item-as-list>
    </p-panel>
</form>
<p-confirmDialog></p-confirmDialog>